
;***************************************************
;ftables
;***************************************************

	; load audio files
	giStruglKor	ftgen	0, 0, 0, 1, "GrSrc_StruglKor2mono.wav", 0, 0, 0		; soundfile
	giVibDist	ftgen	0, 0, 0, 1, "GrSrc_VibLineDistTone3.wav", 0, 0, 0	; soundfile
	giFolwPiano	ftgen	0, 0, 0, 1, "GrSrc_FlwMe1.wav", 0, 0, 0			; soundfile
	giHendrix1	ftgen	0, 0, 0, 1, "GrSrc_JH2.wav", 0, 0, 0			; soundfile
	; write ftable numbers to named chn channels, to enable using strings in the score to point to ftable numbers
	chnset		giStruglKor, "giStruglKor"
	chnset		giVibDist, "giVibDist"
	chnset		giFolwPiano, "giFolwPiano"
	chnset		giHendrix1, "giHendrix1"

	; standard waveforms
	giSine		ftgen	0, 0, 65537, 10, 1					; sine wave
	giCosine	ftgen	0, 0, 8193, 9, 1, 1, 90					; cosine wave
	giTri		ftgen	0, 0, 8193, 7, 0, 2048, 1, 4096, -1, 2048, 0		; triangle wave 
	; write ftable numbers to named chn channels, to enable using strings in the score to point to ftable numbers
	chnset		giSine, "giSine"
	chnset		giCosine, "giCosine"
	chnset		giTri, "giTri"

	; grain envelope tables
	giSigmoRise 	ftgen	0, 0, 8193, 19, 0.5, 1, 270, 1				; rising sigmoid
	giSigmoFall 	ftgen	0, 0, 8193, 19, 0.5, 1, 90, 1				; falling sigmoid
	giExpFall	ftgen	0, 0, 8193, 5, 1, 8193, 0.00001				; exponential decay
	giTriangleWin 	ftgen	0, 0, 8193, 7, 0, 4096, 1, 4096, 0			; triangular window 
	giSquareWin 	ftgen	0, 0, 8193, 7, 1, 8193, 1				; square window (all 1, = no windowing)
	giTwinPeaks	ftgen	0, 0, 8193, 7, 0, 2048, 1, 2048, 0, 2048, 1, 2048, 0	; two triangular peaks
	giTwinPeaksX	ftgen	0, 0, 8193, 5, 0.01, 2048, 1, 2048, 0.01, 2048, 1, 2048, 0.01	; two triangular peaks, exponential

