
"Partikkel$NAmp"		; output amplitude
"Partikkel$NSyncGravity"	; grain clock sync amount
"Partikkel$NGrainRate"		; number of grains per second
"Partikkel$NGrFmFreq"		; FM freq for modulating the grainrate 
"Partikkel$NGrFmIndex"		; FM index for modulating the grainrate (normally kept in a 0.0 to 1.0 range)
"Partikkel$NDistribution"	; grain random distribution in time
"Partikkel$NGrainDur"		; length of each grain relative to grain rate 
"Partikkel$NSustain"		; balance between enveloped time(attack+decay) and sustain level time, 0.0 = no time at sustain level
"Partikkel$NAdRatio"		; balance between attack time and decay time, 0.0 = zero attack time and full decay time
"Partikkel$NEnv2Amt"		; amount of secondary enveloping per grain (e.g. for fof synthesis)
"Partikkel$NGrainPitch"		; transposition (playback speed) of audio inside grains, as transposition factor (cps)
"Partikkel$NGrainPitch1"	; transposition, individually per source wave, *in cents*
"Partikkel$NGrainPitch2"	; transposition, individually per source wave, *in cents*
"Partikkel$NGrainPitch3"	; transposition, individually per source wave, *in cents*
"Partikkel$NGrainPitch4"	; transposition, individually per source wave, *in cents*
"Partikkel$NSweepshape"		; grain wave pitch sweep shape (sweep speed), 0.5 is linear sweep
"Partikkel$NPitchFmFreq"	; FM freq, modulating waveform pitch
"Partikkel$NPitchFmIndex"	; FM index, modulating waveform pitch
"Partikkel$NTrainCps"		; Trainlet frequency
"Partikkel$NTrainPartials"	; number of partials in trainlets
"Partikkel$NTrainChroma"	; chroma, falloff of partial amplitude towards sr/2
"Partikkel$NRandomMask"		; random masking
"Partikkel$NWaveX"		; wave mix X axis
"Partikkel$NWaveY"		; wave mix Y axis
"Partikkel$NTrainAmp"		; balance of trainlets and other source waves
"Partikkel$NSourceWave1"	; source audio waveform 1
"Partikkel$NSourceWave2"	; source audio waveform 2
"Partikkel$NSourceWave3"	; source audio waveform 3
"Partikkel$NSourceWave4"	; source audio waveform 4
"Partikkel$NSamplepos1"		; time pointer (phase) for source waveform 1
"Partikkel$NSamplepos2"		; time pointer (phase) for source waveform 2
"Partikkel$NSamplepos3"		; time pointer (phase) for source waveform 3
"Partikkel$NSamplepos4"		; time pointer (phase) for source waveform 4

****
; partikkel ftables (changeable with instruments 10,11 and 12)
"gidisttab$N"                  ; probability distribution for random grain masking
"giwavfreqstarttab$N"          ; start freq scalers, per grain                    
"giwavfreqendtab$N"            ; end freq scalers, per grain                      
"gifmamptab$N"                 ; FM index scalers, per grain                      
"gigainmasks$N"                ; gain masking table, amplitude for individual grai
"gichannelmasks$N"             ; channel masking table, output routing for individ

****
;global effect parameters

; ringmod and bandpass parameters
"Ringmod1Frequency" 		; modulator frequency
"Ringmod1Mix" 			; dry/wet mix
"Bandpass1Cutoff" 		; cutoff frequency
"Bandpass1Bandwidth" 		; bandwidth (as factor of cutoff frequency)

; delay effect parameters
"DelayTimeLeft"			; left channel delay time in milliseconds for vdelay
"DelayTimeRight"		; right channel delay time in milliseconds for vdelay
"DelayFeedback"			; delay feedback
"DelayXfeed"			; cross feedback L to R and R to L

; reverb effect parameters
"ReverbFeedback"		; reverb feedback affects reverb time
"ReverbLPF"			; low pass frequency for reverb feedback loop
	
