
; automation instruments examples (quick reference for commands and p-fields)

; generate curved line from startVal to endVal
;	start	dur	ParameterName		startVal	endVal		Curve			
;i2  	0	3	"Partikkel1GrainPitch" 	1		2		3			

; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
;i3	0 	1	"Partikkel1GrainPitch" 			2		0			

; use an LFO to modulate a parameter value
;  	start	dur	ParameterName		LfoAmount	LfoFreq					Fadein	Fadeout
;i4	1	6	"Partikkel1GrainPitch" 	0.5		0.4					1	1

; use random signal (rspline) to modulate a parameter value
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout
;i5	0	3	"Partikkel1GrainPitch"	0		1		10	100	 	1	1

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
;i10	3	5	"giwavfreqstarttab1"	0		0 2 1 1 2

; morph between current and new ftable using an LFO as control signal
;	start	dur	TableName		LfoAmount	LfoFreq		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i11	8	10	"giwavfreqstarttab1"	1		0.8		3	5		0 4 1 2 3 4 5

; morph between current and new ftable using a random signal (rspline) as control signal
;	start	dur	ParameterName		minValue	maxValue	cpsMin	cpsMax		Fadein	Fadeout		Table values (start, end, v1,v2,v3,v4....)
;i12	6	20	"giwavfreqstarttab1"	0		1		1	10		3	3		0 2 1 1 1

; set source waveforms
;	start	dur	PartikkelVoice	waveSlot (1 to 4)	waveName (global ftable name)
;i20	0	1	1		1			"giVibDist"

;***************************************************


; test automation

i51 	1 	$SCORELEN								; partikkel instrument


; generate curved line from (current value) to endVal
;	start	dur	ParameterName				endVal		Curve			
i3	1 	1	"Partikkel1GrainRate" 			8		0			
i3  	1	1	"Partikkel1GrainDur" 			0.5		0			
i3  	1	1	"Partikkel1Samplepos1" 			0.7		0			

i3	3 	5	"Partikkel1Distribution" 		1		0			


/*
;	start	dur	ParameterName		startVal	endVal		Curve			
i2  	2	5	"Partikkel1GrainPitch" 	1		2		3			
i3  	2	5	"Partikkel1GrainDur" 			0.5		0			
i3  	2	5	"Partikkel1Samplepos1" 			0.7		0			

; rewrite ftables
; morph to new ftable using curved line transition
;	start	dur	TableName		Curve		Table values (start, end, v1,v2,v3,v4....)
i10	10	10	"giwavfreqstarttab1"	0		0 5   6 5 4 3 2 1

i10	20	10	"gichannelmasks1"	0		0 7   0 1 2 3 4 5 6 7
*/

